Bug 170283 - [PATCH] shells/bash: Update to 4.2.37
[PATCH] shells/bash: Update to 4.2.37
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: obrien
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 22:10 UTC by bryan
Modified: 2012-08-03 20:00 UTC (History)
0 users

See Also:


Attachments
patch-bash-37.txt (4.64 KB, patch)
2012-07-30 22:10 UTC, bryan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bryan 2012-07-30 22:10:02 UTC
	Update to patchlevel 37
Comment 1 Edwin Groothuis freebsd_committer 2012-07-30 22:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-08-03 19:57:02 UTC
Author: obrien
Date: Fri Aug  3 18:56:44 2012
New Revision: 301968
URL: http://svn.freebsd.org/changeset/ports/301968

Log:
  Update to Bash 4.2 patchlevel 37.
  
  PR:		170283
  Submitted by:	Bryan Drewery <bryan@shatow.net>

Modified:
  head/shells/bash/Makefile
  head/shells/bash/distinfo
  head/shells/bash/files/xpatch-colonbreakswords

Modified: head/shells/bash/Makefile
==============================================================================
--- head/shells/bash/Makefile	Fri Aug  3 18:39:20 2012	(r301967)
+++ head/shells/bash/Makefile	Fri Aug  3 18:56:44 2012	(r301968)
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=		bash
-PATCHLEVEL=		28
+PATCHLEVEL=		37
 PORTVERSION=		4.2.${PATCHLEVEL:S/^0//g}
 PORTREVISION?=		0
 CATEGORIES=		shells
@@ -146,9 +146,14 @@ post-install:
 regress: build
 	cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_ARGS} test
 
+ckp:
+	${MAKE} -DPATCH_DEBUG clean patch
+
 cklatest:
+	@${ECHO} -n "Currently at: "
+	@${MAKE} -V PATCHLEVEL
 	-ncftpls \
 	    ftp://ftp.cwru.edu/pub/${PORTNAME}/${PORTNAME}-${PORTVERSION:C/\.[0-9a-z]*$//}-patches/ \
-		| ${TAIL}
+		| fgrep -v .sig | ${TAIL}
 
 .include <bsd.port.post.mk>

Modified: head/shells/bash/distinfo
==============================================================================
--- head/shells/bash/distinfo	Fri Aug  3 18:39:20 2012	(r301967)
+++ head/shells/bash/distinfo	Fri Aug  3 18:56:44 2012	(r301968)
@@ -56,4 +56,22 @@ SHA256 (bash/bash42-027) = 0c1f6b7256fcc
 SIZE (bash/bash42-027) = 1461
 SHA256 (bash/bash42-028) = 204226de39ba81aaf3dd5a29cd59de052ec9f648538bb9e7f1c8150852b1ed7a
 SIZE (bash/bash42-028) = 1834
+SHA256 (bash/bash42-029) = d0b08c0817bc5acdb28b466727622a8422ca4d61188313cf162443b7f338f581
+SIZE (bash/bash42-029) = 16812
+SHA256 (bash/bash42-030) = 12594366591a136d8ccdcb8e218010f2ddab6be28a7f96d0ed32ca927e44afae
+SIZE (bash/bash42-030) = 5046
+SHA256 (bash/bash42-031) = 55f38c4d34775fbb063510c4222b195d998dd86f88288b64a6103e3812f8d9f9
+SIZE (bash/bash42-031) = 2047
+SHA256 (bash/bash42-032) = e3a8b563dbb1e5cb7ca85a53515da8b2941213973496d48c4cc5a11c604791ed
+SIZE (bash/bash42-032) = 2416
+SHA256 (bash/bash42-033) = f5d12790d69fdfb2f47ac86fa1ea1ecc088880141570273f38dfd3fa4a46434b
+SIZE (bash/bash42-033) = 1634
+SHA256 (bash/bash42-034) = 01c1f332101389cedf347c7736102966722a3b213900954e5d625bbc2f1e41b8
+SIZE (bash/bash42-034) = 1345
+SHA256 (bash/bash42-035) = cecde463b038b4849635ff0993d9b264fc92403e7ae0accb52c7877aeaed78df
+SIZE (bash/bash42-035) = 1920
+SHA256 (bash/bash42-036) = fe293a1bc92ac4d272ae9b9a0de3afef7c06145a2b52337a09cacccc5305aafa
+SIZE (bash/bash42-036) = 3123
+SHA256 (bash/bash42-037) = c7578cddd3bb2430689c740f58a03403800726dcd1268b28f91bf37f368e1674
+SIZE (bash/bash42-037) = 3483
 SHA256 (bash/FAQ) = IGNORE

Modified: head/shells/bash/files/xpatch-colonbreakswords
==============================================================================
--- head/shells/bash/files/xpatch-colonbreakswords	Fri Aug  3 18:39:20 2012	(r301967)
+++ head/shells/bash/files/xpatch-colonbreakswords	Fri Aug  3 18:56:44 2012	(r301968)
@@ -1,6 +1,6 @@
 --- bashline.c.orig	2009-01-08 06:29:24.000000000 -0800
-+++ bashline.c	2009-03-08 01:00:50.000000000 -0800
-@@ -226,6 +226,11 @@ int bash_readline_initialized = 0;
++++ bashline.c	2012-07-30 15:07:10.000000000 -0500
+@@ -235,6 +235,11 @@ int bash_readline_initialized = 0;
     host list. */
  int perform_hostname_completion = 1;
  
@@ -12,7 +12,7 @@
  /* If non-zero, we don't do command completion on an empty line. */
  int no_empty_command_completion;
  
-@@ -239,7 +244,8 @@ int dircomplete_spelling = 0;
+@@ -252,7 +257,8 @@ int dircomplete_expand_relpath = 0;
  
  static char *bash_completer_word_break_characters = " \t\n\"'@><=;|&(:";
  static char *bash_nohostname_word_break_characters = " \t\n\"'><=;|&(:";
@@ -20,9 +20,9 @@
 +static char *bash_nocolon_word_break_characters = " \t\n\"'@><=;|&(";
 +/* ))) */
  
- static rl_hook_func_t *old_rl_startup_hook = (rl_hook_func_t *)NULL;
- 
-@@ -351,6 +357,80 @@ enable_hostname_completion (on_or_off)
+ static const char *default_filename_quote_characters = " \t\n\\\"'@<>=;|&()#$`?*[!:{~";	/*}*/
+ static char *custom_filename_quote_characters = 0;
+@@ -370,6 +376,80 @@ enable_hostname_completion (on_or_off)
    return (old_value);
  }
  
@@ -40,12 +40,12 @@
 +  if (on_or_off)
 +    {
 +      colon_is_wordbreak = 1;
-+      rl_filename_quote_characters = " \t\n\\\"'@<>=;|&()#$`?*[!:{";	/*}*/
++      rl_filename_quote_characters = default_filename_quote_characters;
 +    }
 +  else
 +    {
 +      colon_is_wordbreak = 0;
-+      rl_filename_quote_characters = " \t\n\\\"'@<>=;|&()#$`?*[!{";	/*}*/
++      rl_filename_quote_characters = " \t\n\\\"'@<>=;|&()#$`?*[!{~";	/*}*/
 +    }
 +
 +  /* Now we need to figure out how to appropriately modify and assign
@@ -103,7 +103,7 @@
  /* Called once from parse.y if we are going to use readline. */
  void
  initialize_readline ()
-@@ -517,7 +597,12 @@ initialize_readline ()
+@@ -538,8 +618,13 @@ initialize_readline ()
       completion is enabled. */
    enable_hostname_completion (perform_hostname_completion);
  
@@ -113,8 +113,9 @@
 +  enable_colon_wordbreak (colon_is_wordbreak);
 +
    /* characters that need to be quoted when appearing in filenames. */
--  rl_filename_quote_characters = " \t\n\\\"'@<>=;|&()#$`?*[!:{~";	/*}*/
-+//  rl_filename_quote_characters = " \t\n\\\"'@<>=;|&()#$`?*[!:{~";	/*}*/
+-  rl_filename_quote_characters = default_filename_quote_characters;
++//  rl_filename_quote_characters = default_filename_quote_characters;
+ 
    rl_filename_quoting_function = bash_quote_filename;
    rl_filename_dequoting_function = bash_dequote_filename;
 --- builtins/shopt.def.orig	2009-01-13 05:43:16.000000000 -0800
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 obrien freebsd_committer 2012-08-03 19:59:40 UTC
State Changed
From-To: open->closed

Committed.  Thanks!